{% extends 'base.html' %}
{% load markdownify %}

{% block content %}
    <div>
        <h1>{{ detail_project.name }}</h1>
        {{ detail_project.description|markdownify }}
        <h2>Tasks</h2>
        <p><a href="{% url 'create_task' %}">Create a new task</a></p>
        {% if detail_project.tasks.all %}
            <table>
                <thead>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </thead>
                <tbody>
                    {% for tasks in detail_project.tasks.all %}
                        <tr>
                            <td>{{ tasks.name }}</td>
                            <td>{{ tasks.assignee }}</td>
                            <td>{{ tasks.start_date }}</td>
                            <td>{{ tasks.due_date }}</td>
                            <td>
                                {% if tasks.is_completed == True %}
                                    <p>yes</p>
                                {% else %}
                                    <p>no</p>
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>This project has no tasks</p>
        {% endif %}
    </div>
{% endblock content %}